How to add support to a previous version of Office

Add-in Express™ Support Service
That's what is more important than anything else

How to add support to a previous version of Office
An add-in started with Office 2010 support, but now, Office 2007 support is also required. 
Subscribe
Rafael Perez




Posts: 1
Joined: 2019-01-28
Hi ADX team!

First of all, congratulations for your .NET component library! It really helped me to complete an old project I had.

The first time I used your library, I started an Excel 2010 addin. Now I want to modify this addin to add Excel 2007 support, but I don't know how to do that. I know part of the answer is that I've to edit the loader manifest file, but what about the rest?

Thank you very much for your help and support.

Best regards.
Posted 31 May, 2019 10:14:16 Top
Andrei Smolin


Add-in Express team


Posts: 16306
Joined: 2006-05-11
Hello Rafael,

1) Set minOfficeVersionSupported="12" in adxloader.dll.manifest.
2) Overwrite interop files in folder {your project}\Interops with the same files from {Add-in Express installation folder}\Redistributables\Interop Assemblies\Office 2007\"
3) Open your project, recompile it, and retest it against Office 2007.

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 03 Jun, 2019 04:39:24 Top